aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxxf86dga/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-28 09:52:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-28 09:52:15 +0000
commita6e46203108c38c5dcea52787903a0b754002988 (patch)
tree7a0271dfbebf0bcf4eb08fa803abf327d7c66d73 /x11/libxxf86dga/APKBUILD
parent24ed81e933a854ae602bcbdfe0bf0c6b608b7ca8 (diff)
downloadaports-a6e46203108c38c5dcea52787903a0b754002988.tar.gz
aports-a6e46203108c38c5dcea52787903a0b754002988.tar.bz2
aports-a6e46203108c38c5dcea52787903a0b754002988.tar.xz
x11/libxxf86dga: new aport
X11 Direct Graphics Access extension library
Diffstat (limited to 'x11/libxxf86dga/APKBUILD')
-rw-r--r--x11/libxxf86dga/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libxxf86dga/APKBUILD b/x11/libxxf86dga/APKBUILD
new file mode 100644
index 0000000000..610f1968dc
--- /dev/null
+++ b/x11/libxxf86dga/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxxf86dga
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="X11 Direct Graphics Access extension library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libxext uclibc libx11"
+makedepends="pkgconfig xf86dgaproto libxext-dev libx11-dev"
+source="http://xorg.freedesktop.org//releases/individual/lib/libXxf86dga-$pkgver.tar.bz2"
+
+depends_dev="xf86dgaproto libxext-dev libx11-dev"
+build ()
+{
+ cd "$srcdir"/libXxf86dga-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="6f5f621804ee652b6cc6f2025c517c78 libXxf86dga-1.0.2.tar.bz2"